## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate tokio-rustls

Name:           rust-tokio-rustls
Version:        0.26.0
Release:        %autorelease
Summary:        Asynchronous TLS/SSL streams for Tokio using Rustls

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tokio-rustls
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * default to "ring" crypto backend and drop "aws-lc-rs" backend
Patch:          tokio-rustls-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Asynchronous TLS/SSL streams for Tokio using Rustls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+early-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+early-data-devel %{_description}

This package contains library source intended for building other packages which
use the "early-data" feature of the "%{crate}" crate.

%files       -n %{name}+early-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require internet access
# * skip tests that fail due to expired certificates
%cargo_test -- -- --exact --skip common::test_stream::stream_handshake_regression_issues_77 --skip test_modern --skip test_tls12 --skip test_tls12_vectored --skip test_modern_vectored --skip common::test_stream::stream_bad --skip common::test_stream::stream_buffered_handshake --skip common::test_stream::stream_eof --skip common::test_stream::stream_good --skip common::test_stream::stream_good_vectored --skip common::test_stream::stream_handshake --skip pass --skip test_lazy_config_acceptor
%endif

%changelog
## START: Generated by rpmautospec
* Sat Aug 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-3
- Temporarily skip tests that fail due to expired test certificates

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-1
- Update to version 0.26.0; Fixes RHBZ#2252920

* Fri Apr 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Update to version 0.25.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.1-4
- Disable tests due to outdated dev-dependencies

* Tue Sep 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.1-3
- Skip tests that fail due to expired certificates

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.1-1
- Update to version 0.24.1; Fixes RHBZ#2183492

* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.4-1
- Update to version 0.23.4; Fixes RHBZ#2014620

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-4
- Disable tests that now fail due to expired certificates.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-1
- Initial package

## END: Generated by rpmautospec
